poi-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Javen O'Neal" <one...@apache.org>
Subject RE: An error when I use poi3.15 in a resin4 web applicatoin
Date Fri, 27 Jan 2017 01:59:41 GMT
If some other library is pulling poi-3.6, then you should be able to run
the project on resin4 without adding 3.16 to your class path (so long as
your poi code is compatible with both 3.6 and 3.16.

On Jan 26, 2017 4:32 PM, <kejun.chang@escco.co.jp> wrote:

> HSSFWorkbooks is good in everthing, Reading closing writing.
> I just tested the poi3.16beta in resin4. The same error in XSSFWorkbook
> close function.
> About the jar files, I put all in C:\resin-4.0.50\webapps\test2\
> WEB-INF\lib\
>  commons-codec-1.10.jar
>  commons-collections4-4.1.jar
>  commons-logging-1.2.jar
>  junit-4.12.jar
>  log4j-1.2.17.jar
>  curvesapi-1.04.jar
>  xmlbeans-2.6.0.jar
>  poi-3.16-beta1.jar
>  poi-excelant-3.16-beta1.jar
>  poi-ooxml-3.16-beta1.jar
>  poi-ooxml-schemas-3.16-beta1.jar
>  poi-scratchpad-3.16-beta1.jar
>
> This app is running correctly in tomcat7 but not in resin4.
> Jdk is 1.7 for tomcat and resin.
> The resin4 is installed for test, no other app in it.
>
> And I found a web page about a not free java product based on resin4.
> It use poi only 3.6 3.7 3.8 3.9. Maybe it is some hints.
> http://www.intra-mart.jp/download/product/iap/iap_
> release_note/texts/license/index.html
>
> I will try 3.9 in the next step.
>
>
>
> -----Original Message-----
> From: Javen O'Neal [mailto:onealj@apache.org]
> Sent: Friday, January 27, 2017 1:41 AM
> To: POI Users List
> Subject: RE: An error when I use poi3.15 in a resin4 web applicatoin
>
> Read through.the rest of the FAQ for ideas. There's something wrong with
> your class path. Either duplicates, wrong versions, or missing components.
>
> Can you check if you can read just HSSFWorkbooks?
>
> Are you using the lite poi-ooxml-schemas or the full ooxml-schemas jar?
> Hopefully not both.
>
> On Jan 26, 2017 01:34, <kejun.chang@escco.co.jp> wrote:
>
> > Thanks for advices.
> >
> > I check the program and found the error location is the next line, but
> > I don't know still how to solve it.
> >  ((XSSFWorkbook) (this.workbook)).close();
> >
> > The error info is next:
> > [17-01-26 18:22:30.972] {resin-port-8080-35}
> > java.lang.ExceptionInInitializerError
> >                         at
> > com.sun.org.apache.xml.internal.serializer.ToUnknownStream.<init>(
> > ToUnknownS
> > tream.java:143)
> >                         at
> > com.sun.org.apache.xalan.internal.xsltc.runtime.output.
> > TransletOutputHandler
> > Factory.getSerializationHandler(TransletOutputHandlerFactory.java:160)
> >                         at
> > com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.
> > getOutputHandle
> > r(TransformerImpl.java:461)
> >                         at
> > com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform
> > (
> > Trans
> > formerImpl.java:344)
> >                         at
> > org.apache.poi.openxml4j.opc.StreamHelper.saveXmlInStream(
> > StreamHelper.java:
> > 80)
> >                         at
> > org.apache.poi.openxml4j.opc.internal.marshallers.
> > ZipPartMarshaller.marshall
> > RelationshipPart(ZipPartMarshaller.java:181)
> >                         at
> > org.apache.poi.openxml4j.opc.ZipPackage.saveImpl(ZipPackage.java:560)
> >                         at
> > org.apache.poi.openxml4j.opc.OPCPackage.save(OPCPackage.java:1557)
> >                         at
> > org.apache.poi.openxml4j.opc.OPCPackage.save(OPCPackage.java:1542)
> >                         at
> > org.apache.poi.openxml4j.opc.ZipPackage.closeImpl(ZipPackage.java:445)
> >                         at
> > org.apache.poi.openxml4j.opc.OPCPackage.close(OPCPackage.java:496)
> >                         at
> > org.apache.poi.POIXMLDocument.close(POIXMLDocument.java:210)
> >                         at efw.excel.Excel.close(Excel.java:104)
> >
> > And reading data from xlsx is correctly worked.
> >
> >
> >
> > -----Original Message-----
> > From: kejun.chang@escco.co.jp [mailto:kejun.chang@escco.co.jp]
> > Sent: Wednesday, January 25, 2017 5:15 PM
> > To: user@poi.apache.org
> > Subject: An error when I use poi3.15 in a resin4 web applicatoin
> >
> > Hello.
> >
> > I made a web application which is correct in tomcat. When I put it
> > into resin4, everything is good except POI3.15.
> > It became not to read xlsx, but xls reading is still correct.
> >
> > Error info is the next line.
> >
> > java.lang.NoClassDefFoundError: Could not initialize class
> > com.sun.org.apache.xml.internal.serializer.ToXMLStream
> >
> > I check every jar in POI and tomcat, but can't find the class.
> > I don't know whether it is bug of POI or not when I writing the mail.
> >
> > I am puzzled, please give me some advice.
> >
> >
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: user-unsubscribe@poi.apache.org For additional
> > commands, e-mail: user-help@poi.apache.org
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: user-unsubscribe@poi.apache.org For additional
> > commands, e-mail: user-help@poi.apache.org
> >
> >
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@poi.apache.org
> For additional commands, e-mail: user-help@poi.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message